%define module_name Webservice-OVH
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DDP.pm) perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(Digest/SHA1.pm) perl(File/Slurp.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Params/Util.pm) perl(Scalar/Util.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.42
Release: alt1
Summary: A perl representation of the ovh-api
Group: Development/Perl
License: perl
URL: https://github.com/itnode/Webservice-OVH

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SF/SFPAJEND/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module reflects the path structure of the ovh web-api.
This is the base object from where all api calls originate.

This module uses the perl api module provided by ovh.

=begin html

<p><center><img src="https://raw.githubusercontent.com/itnode/Webservice-OVH/master/inc/API_HowTo.png"></center></p>

=end html



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md docs examples
%perl_vendor_privlib/O*
%perl_vendor_privlib/W*

%changelog
* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 1:0.42-alt1
- regenerated from template by package builder

* Fri Sep 29 2017 Igor Vlasenko <viy@altlinux.ru> 1:0.41-alt1
- regenerated from template by package builder

* Sun Sep 18 2016 Igor Vlasenko <viy@altlinux.ru> 1:0.3-alt2
- regenerated from template by package builder

* Tue Sep 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- initial import by package builder

